apiVersion: apps/v1
kind: Deployment
metadata:
  name: xway
  labels:
    app: xway
spec:
  replicas: 1
  selector:
    matchLabels:
      app: xway
  strategy: {}
  template:
    metadata:
      labels:
        app: xway
    spec:
      containers:
      - image: gcr.io/resonant-grail-307708/xway
        imagePullPolicy: ""
        name: xway
        ports:
        - containerPort: 5004
        resources: {}
        env:
          - name: DSE2021_SCALING
            valueFrom:
              configMapKeyRef:
                name: simulation-parameters-configmap
                key: DSE2021_SCALING
      restartPolicy: Always
      serviceAccountName: ""
      volumes: null
status: {}
